---
search:
  tags:
    - Tournaments
    - GET
seo:
  description: >-
    Returns a tournament with its participants and bracket. Public tournaments
    are… Reference for the GET /tournaments/{id} endpoint in the dartpilot
    Public API.
sidebar:
  label: Get a tournament
  badge: GET
title: Get a tournament
type: openapi-operation
---
Returns a tournament with its participants and bracket. Public tournaments are visible to any user key; private ones only to the host, participants, invited spectators and the host's friends.

`GET /tournaments/{id}`

**Responses**

- `200` — The tournament.
- `400` — Invalid request.
- `401` — Missing or invalid API key.
- `403` — The API key is missing a required scope or is the wrong type for this endpoint.
- `404` — Entity not found.
- `429` — Rate limit exceeded. See the \`Retry-After\` header.
- `500` — Internal server error.

Response example, 200:

```json
{
  "id": "string",
  "name": "string",
  "gameType": "string",
  "format": "string",
  "status": "string",
  "visibility": "string",
  "mode": "string",
  "startsAt": "string",
  "startedAt": "string",
  "maxPlayers": -9007199254740991,
  "createdBy": {
    "userId": "string",
    "displayName": "string",
    "image": "string"
  },
  "createdAt": "string",
  "matchConfig": {
    "variant": -9007199254740991,
    "inMode": "string",
    "outMode": "string",
    "bullMode": "string",
    "bestOf": -9007199254740991
  },
  "participants": [
    {
      "id": "string",
      "userId": "string",
      "displayName": "string",
      "image": "string",
      "status": "string"
    }
  ],
  "matches": [
    {
      "id": "string",
      "round": -9007199254740991,
      "slot": -9007199254740991,
      "status": "string",
      "gameId": "string",
      "participantAId": "string",
      "participantBId": "string",
      "participantAScore": -9007199254740991,
      "participantBScore": -9007199254740991,
      "winnerParticipantId": "string",
      "participantAReadyAt": "string",
      "participantBReadyAt": "string",
      "readyDeadlineAt": "string",
      "decidedByHost": true
    }
  ],
  "rounds": -9007199254740991,
  "championParticipantId": "string",
  "runnerUpParticipantId": "string"
}
```
